Bug 1416929 - docker: Pull in package parted during install
Summary: docker: Pull in package parted during install
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: docker
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-26 19:49 UTC by Lokesh Mandvekar
Modified: 2018-05-29 12:07 UTC (History)
15 users (show)

Fixed In Version: docker-1.12.6-17.git037a2f5.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1416928
Environment:
Last Closed: 2018-05-29 12:07:36 UTC
Type: Bug


Attachments (Terms of Use)

Comment 1 Lokesh Mandvekar 2017-01-26 20:34:50 UTC
fixed for rawhide at https://koji.fedoraproject.org/koji/taskinfo?taskID=17427355

Comment 2 Antonio Murdaca 2017-01-27 07:43:51 UTC
do we want this for F25 at least? Vivek is it ok to use 5e1f47b4251108c48b32aad22ae9494a7c3ee5fe for dss in F25?

Comment 3 Vivek Goyal 2017-01-27 13:45:06 UTC
Antonio, I want this commit to be first tested in rawhide and once things look good there, lets pull it in F25.

So for now, can we first pull it in for rawhide and see how do things go.

Comment 4 Antonio Murdaca 2017-01-27 22:22:10 UTC
(In reply to Vivek Goyal from comment #3)
> Antonio, I want this commit to be first tested in rawhide and once things
> look good there, lets pull it in F25.

I'm not sure how are we supposed to _act_ in this scenario...we're releasing docker 1.13 in Rawhide. At that point there won't be any way to "test" something in Fedora rawhide before releasing it in F25, if it's in Rawhide, it _won't_ go in F25.

This is a lot for me to track. How am I supposed to now if things go well and then updated the package in F25? we don't have such a way and I shouldn't track this.

Again, if it's something for F25, fine, I'll build F25 and that goes in updates-testing, you don't like it, you put -1 karma and that won't never show up in stable F25.

Let me know what you guys want for this.

> 
> So for now, can we first pull it in for rawhide and see how do things go.

Comment 5 Lokesh Mandvekar 2017-01-27 22:56:14 UTC
(In reply to Antonio Murdaca from comment #4)
> (In reply to Vivek Goyal from comment #3)
> > Antonio, I want this commit to be first tested in rawhide and once things
> > look good there, lets pull it in F25.
> 
> I'm not sure how are we supposed to _act_ in this scenario...we're releasing
> docker 1.13 in Rawhide. At that point there won't be any way to "test"
> something in Fedora rawhide before releasing it in F25, if it's in Rawhide,
> it _won't_ go in F25.
> 
> This is a lot for me to track. How am I supposed to now if things go well
> and then updated the package in F25? we don't have such a way and I
> shouldn't track this.
> 
> Again, if it's something for F25, fine, I'll build F25 and that goes in
> updates-testing, you don't like it, you put -1 karma and that won't never
> show up in stable F25.
> 
> Let me know what you guys want for this.

Guess let's not update d-s-s (or even docker if the d-s-s change affects docker) in f25 until Vivek gives the green light.

We should give this change in rawhide some time and see if anyone complains. I don't know if atomic host gets affected by this change, but CentOS Atomic Host Continuous pulls from rawhide, so that can be another source of data.

Is that agreeable? 


> 
> > 
> > So for now, can we first pull it in for rawhide and see how do things go.

Comment 6 Antonio Murdaca 2017-01-27 23:44:10 UTC
Lokesh, nope. The thing is, it's just a case rawhide and F25 are on the same docker version. We're moving towards docker 1.13 in rawhide and as said at that point we can't do this game "let's test on rawhide and move it to F25 if that works out well". We already have a way to this and that's by releasing an update in updates-testing where ppl will test it and provide feedback. This let's do it in rawhide first isn't really a thing, is it? Am I missing something obvious here?

Comment 7 Daniel Walsh 2017-01-28 10:58:22 UTC
As long as it only goes in docker-1.13, then put it in both.  We don't want to release docker-1.13, we want to leave it in updates testing, since anyone with openshift should not update.

Keep the two packages the same for now.  

BUT Make sure docker-1.13 does not get pulled out of updates-testing, IE Disable the karma flags for automatic push.

Comment 8 Fedora End Of Life 2017-02-28 11:04:07 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 9 Fedora End Of Life 2018-05-03 08:25:24 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 10 Fedora End Of Life 2018-05-29 12:07:36 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.